• Christer Ekholm's avatar
    Added compatibility macro for called-interactively-p, with a lot of · 122480c6
    Christer Ekholm authored
    help from David Byers.
    
    interactive-p is deprecated from emacs 23.2, called-interactively-p
    should be used instead.  But called-interactively-p takes one argument
    in emacs-23.2, and zero in emacs-23.1 and emacs-22.
    
    Use called-interactively-p if defined, with arg unless calling it with
    arg is an error, then call it without arg. If it's not defined use
    interactive-p.
    
    Tested in emacs-22.3 emacs-23.4 emacs-24.3 and xemacs-21.5.34
    122480c6
To find the state of this project's repository at the time of any of these versions, check out the tags..
ChangeLog 414 KB